org.apache.geode.modules.util

## Class TouchPartitionedRegionEntriesFunction

- java.lang.Object
- - org.apache.geode.modules.util.TouchPartitionedRegionEntriesFunction

- All Implemented Interfaces:
    java.io.Serializable, Declarable, Function, Identifiable

      public class TouchPartitionedRegionEntriesFunction
      extends java.lang.Object
      implements Function, Declarable

  Touches the keys contained in the set of keys by performing a get on the partitioned region.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TouchPartitionedRegionEntriesFunction()`
    `TouchPartitionedRegionEntriesFunction(Cache cache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(FunctionContext context)` The method which contains the logic to be executed.
    `java.lang.String` | `getId()` Return a unique function identifier, used to register the function with `FunctionService`
    `boolean` | `hasResult()` Specifies whether the function sends results while executing.
    `void` | `init(java.util.Properties properties)` Initializes a user-defined object using the given properties.
    `boolean` | `isHA()` Specifies whether the function is eligible for re-execution (in case of failure).
    `boolean` | `optimizeForWrite()` Return true to indicate to GemFire the method requires optimization for writing the targeted `FunctionService.onRegion(org.apache.geode.cache.Region)` and any associated routing objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TouchPartitionedRegionEntriesFunction

          public TouchPartitionedRegionEntriesFunction()

    - #### TouchPartitionedRegionEntriesFunction

          public TouchPartitionedRegionEntriesFunction(Cache cache)

  - ### Method Detail

    - #### execute

          public void execute(FunctionContext context)

      Description copied from interface: `Function`
      The method which contains the logic to be executed. This method should be thread safe and may be invoked more than once on a given member for a single `Execution`. The context provided to this function is the one which was built using Execution. The contexts can be data dependent or data-independent so user should check to see if the context provided in parameter is instance of `RegionFunctionContext`.
      Specified by:
        `execute` in interface `Function`
      Parameters:
        `context` - as created by `Execution`

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `Function`
      Return a unique function identifier, used to register the function with `FunctionService`
      Specified by:
        `getId` in interface `Function`
      Specified by:
        `getId` in interface `Identifiable`
      Returns:
        string identifying this function

    - #### optimizeForWrite

          public boolean optimizeForWrite()

      Description copied from interface: `Function`

      Return true to indicate to GemFire the method requires optimization for writing the targeted `FunctionService.onRegion(org.apache.geode.cache.Region)` and any associated routing objects.

      Returning false will optimize for read behavior on the targeted `FunctionService.onRegion(org.apache.geode.cache.Region)` and any associated routing objects.

      This method is only consulted when Region passed to FunctionService#onRegion(org.apache.geode.cache.Region) is a partitioned region

      Specified by:
        `optimizeForWrite` in interface `Function`
      Returns:
        false if the function is read only, otherwise returns true
      See Also:
        `FunctionService`

    - #### isHA

          public boolean isHA()

      Description copied from interface: `Function`
      Specifies whether the function is eligible for re-execution (in case of failure).
      Specified by:
        `isHA` in interface `Function`
      Returns:
        whether the function is eligible for re-execution.
      See Also:
        `FunctionContext.isPossibleDuplicate()`

    - #### hasResult

          public boolean hasResult()

      Description copied from interface: `Function`
      Specifies whether the function sends results while executing. The method returns false if no result is expected.

      If `Function.hasResult()` returns false, `ResultCollector.getResult()` throws `FunctionException`.

      If `Function.hasResult()` returns true, `ResultCollector.getResult()` blocks and waits for the result of function execution

      Specified by:
        `hasResult` in interface `Function`
      Returns:
        whether this function returns a Result back to the caller.

    - #### init

          public void init(java.util.Properties properties)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `properties` - Contains the parameters declared in the declarative xml file.